- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BcpsVariablePool Class Reference

`#include <BcpsObjectPool.h>`

Inheritance diagram for BcpsVariablePool:

[legend]
Collaboration diagram for BcpsVariablePool:

[legend]
List of all members.

## Public Member Functions
| BcpsVariablePool ()
virtual | ~BcpsVariablePool ()
void | addVariable (BcpsVariable *var)
| Add a variable to pool.
void | deleteVariable (int k)
| Delete variable k from pool.
int | getNumVariables () const
| Query how many variables are in the pool.
const std::vector< AlpsKnowledge * > & | getVariables () const
| Get the vector of variables.
AlpsKnowledge * | getVariable (int k) const
| Get the vector of variables.

## Detailed Description

Definition at line 127 of file BcpsObjectPool.h.

## Constructor & Destructor Documentation

BcpsVariablePool::BcpsVariablePool | ( |  | ) | `[inline]`

Definition at line 129 of file BcpsObjectPool.h.

virtual BcpsVariablePool::~BcpsVariablePool | ( |  | ) | `[inline, virtual]`

Definition at line 130 of file BcpsObjectPool.h.

## Member Function Documentation

void BcpsVariablePool::addVariable | ( | BcpsVariable * | var | ) | `[inline]`

Add a variable to pool.

Definition at line 133 of file BcpsObjectPool.h.

References BcpsObjectPool::objects_.

void BcpsVariablePool::deleteVariable | ( | int | k | ) | `[inline]`

Delete variable k from pool.

Definition at line 136 of file BcpsObjectPool.h.

References BcpsObjectPool::deleteObject().

int BcpsVariablePool::getNumVariables | ( |  | ) | const`[inline]`

Query how many variables are in the pool.

Definition at line 139 of file BcpsObjectPool.h.

References BcpsObjectPool::getNumKnowledges().

const std::vector<AlpsKnowledge *>& BcpsVariablePool::getVariables | ( |  | ) | const`[inline]`

Get the vector of variables.

Definition at line 142 of file BcpsObjectPool.h.

References BcpsObjectPool::objects_.

AlpsKnowledge* BcpsVariablePool::getVariable | ( | int | k | ) | const`[inline]`

Get the vector of variables.

Definition at line 145 of file BcpsObjectPool.h.

References BcpsObjectPool::getObject().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.92.0/Bcps/src/BcpsObjectPool.h